# Decap CMS — panel edycji treści dla ARCH-M.
#
# Backend:
#   - W trybie LOKALNYM (test): odkomentuj `local_backend: true` poniżej
#     i odpal: `npx decap-server` w drugim terminalu obok `npm run dev`.
#     Wtedy `/admin` edytuje pliki bezpośrednio w repo, BEZ commitów.
#   - W trybie PROD: GitHub backend (tylko gdy repo będzie na GitHub).
#     Wymaga OAuth proxy — dorobimy w Fazie 7.

backend:
  name: github
  repo: kokosowygosc/arch-m
  branch: main
  base_url: https://arch-m-oauth.mati1995.workers.dev
  auth_endpoint: /auth
  open_authoring: false

# Test lokalny — odkomentuj poniższą linię gdy chcesz edytować lokalnie:
# local_backend: true

# Skąd brać i gdzie zapisywać pliki mediów
# Cała biblioteka zdjęć z arch-m.pl + nowe wrzuty trafiają do public/uploads/
media_folder: "public/uploads"
public_folder: "/uploads"

# Język interfejsu
locale: pl

site_url: https://arch-m.pl
display_url: https://arch-m.pl
logo_url: /favicon.svg

# Editor preview (publish workflow)
publish_mode: simple
show_preview_links: true

collections:
  # ----------------------------------------------------------------
  - name: "realizacje"
    label: "Realizacje"
    label_singular: "Realizacja"
    folder: "src/content/realizacje"
    create: true
    delete: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    summary: "{{title}} — {{location}} {{year}}"
    sortable_fields: ["order", "title", "year"]
    view_filters:
      - label: "Wyróżnione"
        field: featured
        pattern: true
    fields:
      - { name: title, label: "Tytuł", widget: string }
      - { name: slug, label: "Slug (URL)", widget: string, required: false, hint: "Zostaw puste żeby auto z tytułu" }
      - { name: order, label: "Kolejność", widget: number, default: 100, value_type: int, hint: "Niższa = wyżej na stronie" }
      - { name: year, label: "Rok", widget: string, required: false }
      - { name: location, label: "Lokalizacja", widget: string, required: false }
      - { name: investor, label: "Inwestor", widget: string, required: false }
      - { name: externalUrl, label: "Strona zewnętrzna", widget: string, required: false, pattern: ["^https?://", "Musi być pełny URL"] }
      - { name: cover, label: "Zdjęcie główne", widget: image, required: false, media_library: { config: { multiple: false } } }
      - { name: gallery, label: "Galeria", widget: list, required: false, field: { name: image, label: "Zdjęcie", widget: image } }
      - { name: summary, label: "Krótki opis", widget: text, required: false }
      - { name: featured, label: "Wyróżnij na stronie głównej", widget: boolean, default: false }
      - { name: draft, label: "Wersja robocza (nie publikuj)", widget: boolean, default: false }
      - { name: body, label: "Treść (Markdown)", widget: markdown, required: false }

  # ----------------------------------------------------------------
  - name: "blog"
    label: "Blog"
    label_singular: "Wpis"
    folder: "src/content/blog"
    create: true
    delete: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    summary: "{{title}} — {{date | date('YYYY-MM-DD')}}"
    sortable_fields: ["date", "title"]
    fields:
      - { name: title, label: "Tytuł", widget: string }
      - { name: slug, label: "Slug (URL)", widget: string, required: false }
      - { name: date, label: "Data publikacji", widget: datetime, default: "" }
      - { name: updated, label: "Data aktualizacji", widget: datetime, required: false }
      - name: category
        label: "Kategoria"
        widget: select
        options: ["Magister", "Inżynier", "Bachelor", "Inne"]
        default: "Inne"
      - { name: hero, label: "Zdjęcie główne", widget: image, required: false }
      - { name: excerpt, label: "Wstęp / Lead", widget: text, required: false }
      - { name: draft, label: "Wersja robocza", widget: boolean, default: false }
      - { name: body, label: "Treść (Markdown)", widget: markdown }

  # ----------------------------------------------------------------
  - name: "strony"
    label: "Strony statyczne"
    label_singular: "Strona"
    folder: "src/content/strony"
    create: false
    delete: false
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    identifier_field: title
    fields:
      - { name: title, label: "Tytuł", widget: string }
      - { name: slug, label: "Slug", widget: string }
      - { name: hero, label: "Zdjęcie główne", widget: image, required: false }
      - { name: summary, label: "Krótki opis", widget: text, required: false }
      - { name: body, label: "Treść (Markdown)", widget: markdown }

  # ----------------------------------------------------------------
  - name: "oferta"
    label: "Oferta — pozycje"
    label_singular: "Pozycja oferty"
    folder: "src/content/oferta"
    create: true
    delete: true
    slug: "{{slug}}"
    extension: "md"
    format: "frontmatter"
    sortable_fields: ["order", "title"]
    fields:
      - { name: title, label: "Tytuł", widget: string }
      - { name: order, label: "Kolejność", widget: number, default: 100, value_type: int }
      - { name: icon, label: "Ikona (opcjonalnie)", widget: string, required: false }
      - { name: summary, label: "Opis", widget: text, required: false }
      - { name: body, label: "Treść (Markdown)", widget: markdown, required: false }
